import * as React from 'react';
import { MarkProps } from './Mark';
export interface waiting {
    start: number;
    end: number;
}
export interface TokenAnnotatorProps {
    style: object;
    tokens: string[];
    value: any[];
    waiting: waiting;
    wordsToBold?: Array<string>;
    pre: boolean;
    showTags: boolean;
    onChange: (any: any) => any;
    onClickChange?: (any: any) => any;
    getSpan?: (any: any) => any;
    renderMark?: (props: MarkProps) => JSX.Element;
}
declare class TokenAnnotator extends React.Component<TokenAnnotatorProps, {}> {
    static defaultProps: {
        renderMark: (props: any) => JSX.Element;
        showTags: boolean;
        pre: boolean;
    };
    rootRef: any;
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    handleMouseUp: () => boolean;
    handleSplitClick: ({ start, end }: {
        start: any;
        end: any;
    }) => void;
    deleteWaiting: ({ start, end }: {
        start: any;
        end: any;
    }) => {
        value: any[];
        waiting: any;
    };
    getSpan: (span: any) => any;
    render(): JSX.Element;
}
export default TokenAnnotator;
